200 200
.....................SSCCCCSCSPPPPCCSPCSPPPCSPCSSSCSSSCSSCSCSSPCCPCSPPPCCSCCCSPPCCPPPCSPPCSSCCCSSCSPSCCCCPCCPCSPPSSPPCCPCPSPPSCSPPSPSPSSPPCSPSCCCCSCSPCCPCCCSSPCPSPPSSPCPSSSCPCPPPSC....................
.............................................SSPCCSSSCCSPPSPSCPSCSPCPSCPPCSSCCPCSSSSSSPSPSCSPSPSCCSCPCCSCSPSPPSCSSCSPCCSCCSCPSPCPCPCCCPPCPCCPCCCCCPCSPCCSPSC............................................
...............PPSSCSCCPPPSSSSPPPSCSPPSPCPCSSPPSPCCCSPSSSCPPCPCPCPSPSPCPSPSSCCPPPPSCCCCSSSCCPPCPPSSSPSCSSCSCCPSCSPCSCSPCSCPCCPSCCPCCPPPPCPPSPCSSSSCSCCPPCSSSCCPCCSCCPPSCCCCCCCCSSPSPPCPPSC..............
...........................................................................SPSSSPCCCSCSPPCPPPPSPPCPPPSCSCSCCCPSSSPCCCSSSPSSSPC..........................................................................
.............SSCSSSCSCCCCPSSSSCPSCCSPSSPCSCPSPPCSSSSPPPSCPCCSCCPSCSCPSCCSCSCPCCCCCPPCPCSPSPCSSSCPCCCCSSCCSCSPSSPCCPCPSCCSSCPSSSCPCPCPSSCPCSCSPSSCPCPSCPPCCSCPCSPCSSCPSPCCSSPPPPCPSSPPPCPCSSC............
.....CSPPCPSPCCPPCPSSSPPPSSSCPPPCCCCCSPPCPCSCCCSPPSCCSCSPCSPCCPCSSPSPCSCCPSSCSPPSCCSCSSCCSSCSCPCSSSPSSSPSPCCSSSPCCPCCPCPPPCCSCPPPSSPPPCPSSSCCPPPCPSCPCPSCSPPSSCPPCSPPCSSPCPSPCSPCPPCPSSPPSPCCSSSCPSC....
...................PCPCCPSPPPCSSSCPSPCPPSSCCPPSSSPPPCCPSCSPCPSPCCPPPCSSPCSPSSPPPSPPSSSSCPSCSSSSSPPSPSPSSSPCPSCCPSSCCPSCPPSCCCCSSSSSCPSSPCCPPPSSCCCCCCCSSSCPCPPPPPCSSSPCSSCSSPSSSPCCPSC..................
................................................................CCPCCSPSPPCPPPSPSSSPCCSSCPSCPSCPCSSSPCSSSSCPCCPSSPCSCCCCPSCSSPSCPSSCCSPPS...............................................................
.........................................................PCPSPSSPPSPCCSPCSPCPCCPSPPCCCPSSSPCPCSPCPSCSPPCCSCPSCCSCCCPPCPPSSCCCSPSPCCPCPSPSSCPCPCC........................................................
..............................................................................................CSPPSSCSSPSPC.............................................................................................
..............CSSCSPCSSCCPCSCSSPCPPSSCCCPCPPSCSCCPCPCPPPCPPPPCCCPCSPPCCPPPCSPPPPSPCCPPPPCCSPPSPPSCSCSSPCCCSPCPSPCSSPPSCSPCPSSCPCPCSCPSPSCPPCCSSPSPSCSCPCSCPPPPSPCCSSPPCCSPSSCSCPCSPSCCCCCPC.............
.....................................SPSCSCSPPPSPCPSCCPCSPCPCSCPSPSCCCSSCPCPSCSSPSPCSPPSPSPPCPCPSPCPSCPSCSPCSCSPCPCCPSPSCPCSSPPPSSPCPPSCCPPSCCPSPSPPPPPSSSCCPSPCCPPS....................................
............................................PSCPPSPSSPPPCPPPCSCSPPCSCPCPCCPCCPSCPPPCCCSSCSPSSSPPPSSPSCCSSPSCPSSPPCSSSSCPPSSPSCSPSCCPCPPCSSSSPSSCCPPCCCSCSCCCC...........................................
...........SSSCSSPCCPCPSSSSPCCSSSPPSSSCCPSPPCSPCSSCCSSPCPSSCSCSSCSSPCCCPSCCCPSSCCSCSCPSCPSPPCCCSSCSSCPCSCSCSPPCSPSCCCCPCPCSPCCPSPSPSCCPSCCSSCSCCPPSPSSPPCSCCPPSPPPCCPSSPPSSCCSCPPPCSSPCPSCPCPP..........
.........................................................PCPCCPSCCSSCSPSPSPSSPSPSCCPCCSCCPSSCPSCSCPSCPPSPCSSSCPSSPSPCCPCSPSPSPCCCCCCPSPCCSPSPPPS........................................................
.............................................................................................PCSCCPPCSCCPSCS............................................................................................
.........PCCCPPPSPCPSCPSPCSCPPPSSPCCSSCSCPSSSPSCCSCSCSSSCCPCPCCCCPCSCPCCPPPPSCCSSPPSPCCCPSPPSPCPSCPSPSCPCCSCCSSSPCCCSSPCPCCCCCSCCCCPSCCSCCCSCPSPCPCSCCSCCCPPSCPCCPCPPPPPPPPSSPPSPCCPSSPCCPSPCCCS........
.......................................................................................SCPCSSCPSPCCPPPCSPCCCCPSCPP......................................................................................
.....................................................................PCCPSCSCCCPPSCSSSPSSSSSSPPSCPPSCSCSCPPCCSCPCCSCSSCSCCSSPCCPCCCP....................................................................
..........CPCPSPPCSCCPPCPSSCSSPCCSPPSCCCCPCSCCSPCSPSCPCSCCSPCCSCPPCPPSCCPSSCCSPSSCSPPPSPSSSPPCSSSSSPPSPPSCCPSPPPCPSCPSPSSSPSPSPSSPSSCPSPCCSPCSSSCPCPPSPSSCCCPSPSPSSPCCCCCCPCCSSSCSPPSSSCPSSSPPP.........
......................CCPPCPSSCSSPPSPSPSCSPCCCPSCCPSCSSCPSPPPCPCPSSCSCSSSPSCPSCPCCPCSCSPSPSCPPPPSCPSSPSSPPPPSPSPPSSPPCSCCPCPCPSSSPSCPSPCPPCSCCCPPSSPSSSSSPCPSPSSCPCCSCPSCPCSPSCCCCC.....................
.................SSSSSCSCSSSSCSPSPCCPCSPPPSCCCPCCSPCCSPCSPCPPCPPCSSPPSPPCCPCCCSSCSSPSCPPSSPPSCSSCPPPPPCPPPPCSCPSPPCPPPSPPPCPCPCCPSCSPCCCSSPSSCPPCCSPCCCPPSCPSPSSCPPSSSCCSPPPPCPCSSPPSSSP................
.....................PPPCSCPSPCSSCPSPPSSSSPSSCPPSPSPSSCCSSCSCSPPPPCCPCSSSCSSPCCSCPPPPSSPSPPPPCCSCSCPSPPCPPCSCCSSCSPCCCCSSPCPSPCSCCCPCCCCCPCPSCCPPPCSCSSPSSSPPCSPSSCPCPSPCCSPSPPCPPPP....................
..................................................................................................SPCCS.................................................................................................
..........CPPSPPPCPSPPCSCSSSCCSSPSPCPCCPCPCSCCPSSCPSSSCSCCPSSPSPCPSSCSPPPCSSSCSSCCCSCPCPSPCCPSCPCCPSCCPPPPPCPCSSSCPSSPCSSCCPSCPSPCPPCPCSSCCCPSPPPPSPCSPSPPCPCPPCSCCCPCCSCSPPSCSPPSCSSSCSCSSPSSP.........
..................................................................................SSSSCSCCSCCSPSPCSCSPSPCPPSCSSCCPPSCPS.................................................................................
.........PCSSSSPPPCCSSCSPPCSSCSPPCCPSSSSPPSPPSSCSSSPSSPPCPCCPCSSCCCSSSPPSSSCPPPPSSPCCPCPSPPCCCSSCSPCPCPCPSSSCSPSPSSPPCPPCSPPSPCCPCSSSCCSPPSPCSSPCSCCSCPCPCCSSSCSPSPPSCCSSSCSCSSCCPSSPPCSPPCSCSPC........
......................................................................CCCSCCCPPCSCSPPPSSCSSCCSSCPSCSPPPPSCPSCPCPPPPSPCSPCCPPPPSCPSC.....................................................................
....................................................................SPPPPSSSCCSPCSPPPSPPPCCPSSPCCCPPSCPPPCCSCCPPPSCSPSSSPCCCCCSSCSSSC...................................................................
...................................................................SSPSCSPCSSSPSSPPCPCPSCSPSCSCCSPCSPPCPCCSCSPCSSCCPCSCPSCPCCSPPCCPCSC..................................................................
....................................PCSPCSPCSPPSSCPSSCPPCCCPCCPSCPCSSCSPPPPCCSSPPPSSPSPPSPCPCCPPPCPPPCCPPSPCSCCCSSSCSPCCSPSSCCCSSCPCSPPCPPPPPSCPSPSCPCPSSPPCPCPSPSPCP...................................
.........................................PSSCPPSPPPCCCSSPSPPSSCSPPSPSSPCCSPPCCSCPPSPPPCSSCCSPPSCPSCPPSPCCSSCCCCPPCCCPSPCPSSPSCCCSPCCCCPCCSPCSPSPPPPCCCPPCPSCCCPC........................................
.........PPSSPCCCCSCCCPPSSSSSCPPSPPSCPCCSSCPSSSPCCCSCSSCPPCCCCPCPPPCCCPSCSCPSPSCCCCCPSPSSCCSPPSSCCCCSCCCPPPSSPPCSSCPCPPSCSSCPPCCPCCSCPPPPSSSCCPPPSCSCCCCCCSCCCSSCPSSCCPSPSCPSCSSCPSPPCPSSSSSCSCS........
...................SSSSSSCPCCSSSPCSPPCSSPPSSPSSSCSPSPPSSCSSSSPCCSSPPSCCPSCCSSPCSSPSCCPPSSCSSSCCPCSPPPCPCPPCSPCSPSPPSCSPCCCPPCCPSCPSPPCSPCSCCPCSPCSCSSCPPCPPPCCPSSCPPCPCSSPSSSPPSPCCCSC..................
.........................................PPPCPSPCCCCSCSCPCPPSCSSPCCPCSPCSPCCCCSSSSPSSSSCPCCSPPPPSSSSCPPPPCSCCSPCCPCPPPPCSCSSSSCPPSSCCSPPPPPPPCSCCCCPSSSSSPCCCCSP........................................
................................................PPPSSPCSSPCSCSSSPCCCCPCPSCPSSCSPSPSSPCSCSCPCSSCSPPSCSCPPCSCCSSCCPSPPSSPCPCCCSPCCSSSCSPSPCSCCSPCCSSSSCCPCP...............................................
...............................................................PSCSPPCCSCPSCCPCSCSPSPCCSSCPPCCCSSCCCSPPPCSSSCCPPCSSSPSCCPPCCSSPPSCSPPPCPPP..............................................................
....................................PPSCCPPSPCSPSCPSPSSPSPPSPSCCSSCSCPPSSSCCCSSCCCSCPPSPSSSCSSSCPPCCSPSCSCSSCCCCPCSSSPPSPCCPPCCCSSCSCPPSCCCCPSCPCCSCCSSPCPCCPPCSSPCSS...................................
.............................................................................................SPSPPSSPSSSCPCP............................................................................................
...........................................................................CCPPCPSSPCSCPSCSSPSCCSPPSSCPPCSSPPSPPPCPCPSCCSCSSCC..........................................................................
................CPCCPPCPSSCCSSPPCSCSSSPCPSPPSPPPCPCSPPPCCSPPPSCPCSSCSCPCSSCPCPPSPPPPSCSCPCCSSSSCCSCPCPPCCCPSCCSPCCPCSCSCSCCCPPSCSSSSSCSPCPSPSSSPPPSPCPSSPSPCCSCCCPCPPPCCSCPPCPSSPCSCCCSSC...............
.........................................................................SPSPCSSSCCCCCPSCCSSSSPSCSPCCPCCCCPCPPPCCSCSSSPSPPPSPPSP........................................................................
..........................................................................................CPPCCSSSCSCCSPPCPPCPC.........................................................................................
..........................................................................................CCSSCCPCSCSPCCCPSCSCP.........................................................................................
....................................................................SPPCCPCCPCCPCCSPSCCPSPPPPSSCSPCSPCCSSPSSSPPSPPCPSSCCSSPCCPCCPPPPS...................................................................
...................SCCCPPPPSPCCSPPSCPCPPCPCCSSSCSSSSSSPSCSCCSPCCPCPCCPPPPPPSSPSSPSSCSPPCPCCSPSPSPSSSCSSCSSPPCPCCSPPCPPPPCSSSCPSCPPPCCCCSSPCSCPPPSPPSCPCCCSPCSCCCSCPSPPSPSSCSSSSCPSCSCC..................
...................CCCPCPCCCSPCSPSSSCCPSSCSPCSPPCPPCCPSSCPPCCSPPSSPPSCCPPCCCSSSSPCSCPPCPPPSCPPCCSCPCCCPSSPPSCCCCCSSCPCPPCSSPSPSPPSPPPPSSCPSPPCSPPCCPSPPSPSCCPPPSPPCSPPSCSCSPPPSCSCCCCS..................
....................................................PCCSSCPSSCPCCCSPSCCPCCSCPPSSCPCSPSPSCSSSCPPPCSPCPPCCCPCPCPCCSCPPCCCPCSSPPCCCSCSPPCCSCPCSCPCCPSSPS...................................................
...............................CPPCSPCPCCPPPPCPPCCCSPSCSSSSSPSSSCCCPSPCSSPPCCPPSPCPPPSSCCCCPPPCPCCSPPSCCCPCPSPCSCCCPSPCPSSCPCSPCPPCPSPCCPCSSCSCSCSCCSSCSCPSPSPCPCSCSPPPCSS..............................
.........................................................SSPCSSCPCSSPCCCPCCCPCSSPSSPPPPSCCCPSSSCPCPCCSPPSCCCPPPSPPPSPCCSCPPCCCCCCPSSPPPCSPCPCSPC........................................................
........................................................................................CSPCCSCSCSPCSPPPPSSCPSPPS.......................................................................................
.....................................CCSPCCPPCCPPCCCCCSSCPPCSPPCSCSCCCPSPPPCCSCPPSSSPSSPSPPCSCSCCPSPPSCSSSCPCSSSCSSPPCCCSPPSPCSSPCPCCCSSPPPCPPPPSCPPCCCPSSPPCCSCSCSP....................................
.....................................................PCSCSCPSCSSCSCSCSCCSSSPSPPSSCCSSSSCSSPPSSCPPCCCSPCSSPSPSSPPSCPCSPPCSSCSCPPCCSSCSSSPCPPSPCSCSSCC....................................................
.......................PPSSSSSSSPCSSSPSCCSCCSPPPPPCCSCPCSPPCCCPCPPPPCSCPPCCSSCPSPPCSSSCPSPCPPCCSPSCPSSPSSCCSCSSPSSCSPSPPSSSCSSSPSCSPPPPPPCSSPPSPCSCPPSPPPSPSPCCSSPCSSSPPSPSCSPSCSC......................
......................................SSCPSCPSSSSSSCSCSCPPCPPPPCSCPPSCPSPPCSPPSPCSCCCPPSSCCPCCPPPSCSPCCCSSCPPSPSCPPSSPSPPPCPPCSPCPSSCPCSCCSPCCSSSCSPSSPPPCCSSSPSPCP.....................................
.....................................................................PCSCPCCCPPPSSCPPCSPPPPSCSCCSCSSSSSSSPSCCCPPPSPCCPSCPPCSPSPSCPSS....................................................................
.....................................PCPPCPSCSSPSCSSSPPCCCSSSCCCCSCPCSPCPCCPSSPCCSPPCPSSCSPPCCPCCCPPSSPPPPCSPCCSCCSSPCSCSPSPCPSPSPPCSCPPCSPCPSCSCCPCCCPCSCSCCCSCCPCS....................................
............................CSSSSPPSSSPCPSSCSSPSCCSSPSCSPPPSSPPPPPCSPCCPSPCSPPSSCPSPSPSSPPSPPSSPPPPSSPSPCCCCSCPSSCPSPCPCPSPPPPSPSPPPCCPPCPPCSCSCPPSCPPSPPCSPPPPPSCCPCSPSPSPSS...........................
................................................CSPCPPCCSPCPCPPPCPPCCCSPSPSPPPCCPCPSCPPPSCCSPCSPCPSPSPCSPSCCPPPCPSPPPSPCPSPCCPCSSSCPSCPPCPCCCSSCPCCSPSPPS...............................................
......................................................PSCSSSSCPSPPSCCPSSCSPCSSPCCCPPSSPPSSCCSPPSSPPPSCSPPSPSCPPSPSCCSSSCPSCPPSSCSPPSSPCPPSCCSCSCCCC.....................................................
.................................................PSPCSSPSSSPCPCSPPCCCCPSCPSSSSSPPPCCSSPSSSPPCPSSSCPSCCSCSPCCPCCSSCPPCSSPCPPPCCPPSSPSCSCSPSPCSSPCSPPPPCCP................................................
.....................................................................CCPSSPSPSSSSPSCCCCCCSPCSPPSCSPSCCSSCPSCCPPSCCSPCPPSCSPCSPSPPPSS....................................................................
...SPCCCCPSSCPSCCCCCPSSSSPSCSPPCPSSPCSSSPSCCCSSPCSPSCCCCPPPCPCPPSPCSSCPPPCCSSSSCSSCCPSPCSCCCPCSCCSPCCCPSPSPPSCSPPPPCSCSCPPSSSCCPSCSSCPSSSCPCCCCCPSSSCCPPCPSPSCCCCPCPCCCCPCPCSCSSPSCCSSCSSSPPPSPCSSCPSC..
..............................CCPPCPPPCPCPSPSCPCSPPPSSSPCPSPPSPPSCSCCSCPSPPCCPPSCCCSPSCSSPSSSCSPCSSPSPSSPPSCPPCPCCCPSSSCSCPCCPSPCCPSSCSCPSPSSSCSPCPSCSPCPCPPPSPCSCSSPCCCPPS.............................
.............CCSPPPPSCSPCPPSCPPCPPSCSPSCSPCSSPSSCSSPSSPSSPPCPSPSCSPPPSCSCSSCCSCPCCCCCPSPCSCSPCCCSCCSSSSSPSSCSPSSPCPSCCPSPSSCPCPCCCCPCPCCPSPCPPPSCPSPSSSPCSPSSPCCPCCCSPPCSPCCSSPSSPSPSPSCPSSS............
..................................................................PCSCSCPPPCPPPCCSCSPSCCPSCCSCCCPCPSPPSSPPSCPCPCSPPCPCPPPCPSCPPSPSSSCPS.................................................................
.................PCCSPCPPCCCSSCCCPPCPCCSPCCSCSPPPSCCCPPPPCSPCSPCCPCCPPPPPPPCCSCCCCSCSSCCSSCSSCCPCSCSCSSPSCPCCSSSSCCSCSPCCSPSSPPCPCPCCSPSSCCSPCCSPCPPPCSPPSCCPPPSSSSCPCCPCSSPPPCPPSSCSSSC................
..............CPPPPCCPSPPCSCPPSPCSPSPPSSCCPCSSSCCCCCSCPCCSPSCSPPSSCCSCSSCSPSCCSPSCPPSSCPSSPSCSSPCPPCPSCCSPSSSPPCPCSSSSSCSCPSCSCPSSPPCPSPSSSSPSCCSPSPCCCPCCPSPPSSSPPSCPCPCCCCPCCSPSPSSSPPPCP.............
.CCSCCSPPSPPPPCCPCPCPCPCCCSCPSPSSCSCPSCPPSPPSPSSPPSSCCCPPCSCSPSSSSCCPPCSSCCCSPSCSSCSSSSCSSSCCSCSCCPCSPCSSPCPCCPSPCCCCCSCSPPCCPCCCSCSSSSCPSSCPSPSPCPCSCCSSSSSCSSPCPCPPSCCPSCSCSPCCSPSSSPSSSSPCSPPSPCSPSPP
................................SPCCSPSSPPPCSPPCCPSSPCSPPCPCSPSCSSPSCPPCSPPPSSCCSCSPPCSPSSCSCCCCSSCPPPSPCCSCSPPPSPCCSPCCCSSCSCCPPCSCCCSPCCPPCSPPSPPPCPCCPCCPPSSPPPSCSSCCC...............................
........................................................................................PCSPSPSCPCSPPPSCPPSPPSPSP.......................................................................................
..................................................................SCPSCPSPSSPCPPPCPCSSCCCSCSCSCCCPCPCCCCCPCCCPCCPSPCSSPCSSSPCCPCCCSSCPP.................................................................
..................................................................................PSPCPCPCPSPPPSPSCCSSCSSSPCSPSCPPPPCPC.................................................................................
......................PPCCCCSPSCCCCPPPSPSCSCSPPSCCCSSPCCPCCCCPPSSSCPPCSSCCPCCPPSPSCCCPCSCCCSPSSPCPPCSPSPSCPCCSSPSSPPPCSCPSCCCCPCSCSPPSPSSPCCSPPPPPCPSPPSCCPSSCSSPSCCCCCPCCPSSSCPPPP.....................
.............................................................CCPCCPCSCPCCPSPCPPCCPCSPPSPCCSPSPSCPCSPSSSCSCSCCCCSSCPSCSSCPSCCSCSCCSCCSPCCCCPC............................................................
.......................................................................PSSSSSSSSSCCSSSSPCSCSSCSCCCSCCCPPPSSSPPCPPCSSPCSPCSCPPCPSPC......................................................................
........SPCCPCSPCSPCCCPSPSSCSPPSSPPCSPSPSCCCPPPSPCPCCCCPSCSCPCPSCSPSCSCSCPSSSCPPSPPSSPCSCCCPSPSSPPCSPPCPSPSSSSSSPCPSCCCCCCPPSSCPSPCSCCSCSPCSCCSCPCSSSCSSPSPCCPCSCCCPSPPSSSPSCCSCSCCCPSPSSPCCPSSSS.......
..............................................................SSSSCPPSSSSSSPCPCSPCPPSPCPCCCSSCSCPPCPCCCCPCSCSCSPSCPCCPCSPCSSSPSCCCPCSCCCCCP.............................................................
...............................SCSCSPCCCSPCCCSSSSCCPCCPCSCSPCCPSSPSCSPCSPCPSPCCCPCSSSPCSPCPCPPSPPSPSPCSCCCCPCPPSSSSSSSPCCCSCSSCPCPCSCPPSSSCCSSPPCPSCSSCSCCPCCCSSPSSPCPCPSS..............................
......................SCPSCPCSCSPCCPSSCSCCCPPSCSCCSCCPPPCCCCSCCPPCSPPCCSCSPSSPPSCCSCPSPPSCCPPPPPCCCPCSCPCCPPSSCPCCCPPPSCCPCSSSPCCSCCCCPSPCCPCCSPSPCPSCSSPCCSCSCPPPPCCSPPCPCPSSSPSPC.....................
......................................PPPCCPCSPPSPSPCCCCPPPSSCSSSSPCCCPPSCSPCPCCCCPPCCSPPPSPCPPPCPCSCPCSSSCCSCPSPCSSCCPCPCCPPSPSCCCCPSSSSSCSCPSPPSCSPSCPCPPCSPCSCPP.....................................
...............................................................................SPPCCPSPSSPSPPPSPCCPCCSPPSSSSPSCPCPSPCCCSSC..............................................................................
...................................................CPCCPPCPCPPPSSPSCPCSPCSSSSPCSSCSSSCSSSSCSPPCCCPCCPPCCPCPPCCSCCPSCSSSPPPCSSSCCCCPSCSSCSPPCPCCPPSSSSP..................................................
........CSSSPPCPCSPSPSSPCCCCSCSSSCCCSPSSPCCCSSPPCCSSCSCPCPSCCCSSCSCSPSCPPSSSCCCSSPSPPSCSSPSPSCCCSSPSSCSCSPCPPSPPCCSSSSPSCCCPPCCPSPPSCPPPCCCSPCPPCSSPSPSCSSCPPCPCSPPCPPPSSSCPCSSSCCCCSSCSCSCCSSPCP.......
...............................................SCCCSPCCSPSCCSPPCPCPCPCSCCSPCSPPCCCCCCPCCPCSSSSPSPSSCPPSSPCSPSPCSPSSSPCCCPPSSPCSSPCSPSPSCSSCPSPCCPCSPSSSPCS..............................................
..PPSSPSPPPSCPSCCCCSCSCPSPPCPPPSSPPPSSCPPCCPCPPPCCCCCPCSPSSPPPCSSCSCCSPCPSSPPPSCPCPCCCCSCCCSCPSCPPCCPPCCSSPCSSSSCSCSSPCPCCCPCPSCPPSCPPCCSCPCPPSPPPCCCSSPCSPPPPPPCSSCSPCSCPCPCSSSSSPCSSPPCPCSCCSPCPPSPPC.
.SPSSSPCSPSSPSSPCPPCSPCSSPPPPPCSCPPPSPCPPSSCPCPPSCCPPSSCPPPSPPCCPSSSPPCPPSPPPCSCCSPSSCPCPPCCPCCPPPPPPPSCCPSSCSSPPSSCSCSCCSPPCSSPCPPSSPCSSSSSCPCPSCPPSSSPSSCCPPPCPSCCPPPSPPSPPCPPPSCPPSPPPCSPCPCSCCPPSPSC
......................................................................................PSCPPSCPCCCSCCPPCPCSSSSPPCCCP.....................................................................................
..................................PSSSCPCSCCSCSPSSCPSSSSPCSCSPCCCPSPPCSCCSSPSCCCCCPSPPPCSCSPSSPCSCPPCSPSSSCCCCCPSCPSCPSSPPSSCPCPCCSSPSCSSSPPPPSSPSPPSCCCCPSSSCCPSCPCPCP.................................
.................SCPPSSSPCSCCCCCCCCSSCCCCPSCCPSPSCSPPCCSCPCSCSPSPSCSCSCPSPSSCPCPCCPPSPCCPSPCCCPCSCSCSPCCSPCSCCPSPSSCPSSSCPCPCSPPPSCCSPCCSCSSCPCPCCPPCPCSPSPCSSCCCPPCCPPPSCSSCSPSPPPCSPSC................
.................................................................................SPCSPCPCPSSSPCCSPPCPSSCPSCPCPPPPCCPCPCC................................................................................
........................................................................................SSPSCPCCCCCCPCCCSSPCCPSPC.......................................................................................
...CSCPPPPPCPPPCSPCPCCCPSCSCSSSSPCCCCSSSCSSPSPSSCCPSPSSPPCCSCSPCSSCPPCPSPPPSSPPCPSPSSPSCCSSSCSSCPPSCCSPSSSPCSSCSSCSSPCPPPPCPPPSSPPSSPSPSPSPCCPPCPPCSPCCSPCPPCCSPPPSSSCSCSCSSCSSSSCCPPSSSPCSPCPPCCSSCPC..
......................................................PPPPSSCCCCCSCCSPCSCSPSPPPCCPPPSCCPPSSPCSCSPPCCSSCCSSPPPSPCSCCCCSCPPCPPPCSPSPCPCSCPPCCSPCPCPCS.....................................................
.............................................................................CPPCPCCPSSSSCCPPPCCSSSCPPCPPCCPCPSCSSPSCPPCCPCP............................................................................
...................................................................................................CPS..................................................................................................
................................................PPSSSPCCPSPCCSPSPCSSSSPCSSCCSSSCPPCSSSSPCCSCPPCCSPSPPSPPPCSCSPPSCPPPPSSSCPSCCCSPCPCCPPPSSCCPSSPSCSPSCPCPC...............................................
...........................................................................................PCCSSSPCCPPSCCSSPSC..........................................................................................
.........................................PCPSPSCCPCCCPCCCSSCCSSSSPPCPPSCSSPSPSPCPPSSCPPCCPPSSCPCSSPPCSCPCCSPPSPPPCSSSCCSCCSSSSPSCSSSCSPSSSSCPSCSSPPCPSSSPSPSCCPS........................................
........................................................................SSCCPPPPCCSSPCCSCCCCSSCPCPSSPSCSCSPCCPPCCSSPCSPCPPPSPCSCP.......................................................................
............................................................SSSSPPSSSCPSCSSPCCSPSCPPCPSSPCSSPPCCSCPSPPCSPCCSCCPSSSSSSSSSPSSSSCCCPSCSSPPCPSCSC...........................................................
..................................................................................................SPSCP.................................................................................................
....................................................................CCSPSPSPPSPSCPCSPCPPCSCCPCCCPPPPSPSPSPSSSPSSSPCCPPSCCPPSSPSCPPSSP...................................................................
........SCSSCPPPCPSSPPCSCSPCSPCPPPPSPSSPCPSCSSSCSCPSSPCCPCSPSSSCCSPCCCPPPCSSCPPSCSSPSCCPSSPCPPCSPPCCCSSPCSCPPCSCSPCPSSSCCSCCCCCCCPCCPSPSSCSCCCSSCSCCSCCPPPCSSPPSCSSCCSSSSSPSPCCSSSCSCCSCCCSSCSCCP.......
..........PSPSPCPCPPPSCCCPPSPCPCCCSCCPCSSCCPSCCSSCCCCSCPCSSPPCPPPCCPPSCCSSSPSSCPSSSSPSCCSPSSPCSCSPCPSSCCPCCPSCCCCSPPPCCPPSCSPPCCSPSCCCPPCSPSCCPSCSCPCSCCCPCCCCPSSSSCPCCCSCSCSPSCCPSCCCSSCCSSSCS.........
...............................................................PSSCSCSSPPSPCSCSPPPSSCPPPSSCSSSSCPCPCCSCSSPCPSPPPPPPPCCSSSPPSSCPSSPCCPPSCSS..............................................................
..............................PPCCCCCSSCSPSSPSPCPCPPSPSPSPPPPCCPCCSCCPSSSSSPPCPPCCPPPCCPPCSPCSPCPCSCSPCCSSCSPSSCPPPSSPSCPCCCSSSPCPSPSPSSCSPPSCPPPPPPCPSPSSPSCCCPPSCSCSCPCSP.............................
.................CPPSSCPSCSCCSCCPSCCPPPPCCCPPCCCSCSPSCPCPSSPPSCCCCSCCSCCSCCPCCPPSPSPCCSCCPPPCSPPCPPPSSCCSSPPCPPCSSCPCPCCCPSSCPPSCCPCCSPPPCCPPCPSPSSCSCPCPCPCPSSPPSCSPPSCPPSPSSCCSPPSSSSP................
...............................................................PCSPSPSSPPPSSSPPSCCSPSPCSSSCSPCSCSPCPPCSSSSSCSPCSCSPPCPPSPCCSSCCCCCSSSPPPCP..............................................................
..............................................................SCPSCPSPSPCSPCCPSCPPSCPCSSCCCSCPSCCPPSPPCCPSCPSSSPSSCSPSCCSCCCSCSCSPSSSPSSCPS.............................................................
...............................PCPCPSCSSCPSCSCSPPPPSPCCPCPPPCPCPCSPPPSCSPSSSCCPCCPPSPSCSCSCSCSSCCSCSPSCSSPPCCSPCCPSCSCSPCCPCSSPCPPPCSSSSPCSSCSPSSSSCPSCSSCPSSSSCCSSSSPSPPC..............................
.....................................SPCPSCCSPPCPSPSSSCPPSPPCSSCPPSPPCPPCSSSPSPPSSCPSCSPSCCSPCCCCCPCSSSCSPPSSSSCCPSSSCSCCPCCPSCCSCCSCCPPCCSCPCCPPSCCCCCCCSCCCSSCCPSC....................................
..............................................................................................CCPCCCPPPSPPC.............................................................................................
....................................................................................................C...................................................................................................
.................SCSCCCSPPSPSCCSCSCPCCPSCPPCPSSPPSCPCCSSCCPCCPCPCPSPPPPPCSSCCCPSSSCPSCPCSCPCPSCPSCPPPPCPPPCSPPCSCCSPSCPCCPSSPCCCCCSSSCSSCCPCCSCSCSSSSPSSCPSSCCSCCPCCPSPCSCPPCCCCSSCCPPPP................
....................PSCSPPSPSPCSPSSCSCSCPSPSCPCPCCPCSPSCSPPCCSCPSPSPSCCCPPCPSSSPCPCPPPSPPPCSSPPSCPCSSCPSSPCPPSSCPSCCPPCPCCCCCPCPCCCCPPPCPCPPCCSCSSPPPPCSCSCCPCSPPCSSSSPPCPCCSPPCPSSCS...................
........................................................PCSSSSCSSSSPSPSPCCPSPCSSPPCCSCPPPCPSSPCCSCCSSCPPPCSSPPSSCCCCPCPPPPCSPSSCPCPSPCPPCSSCSCPSP.......................................................
..................................................................................................CSPCP.................................................................................................
.......................................SSCCCCSSSCSPCCCCPSCCCCCPCCPPPSSCSCSSPSPSPPPSPPPPCPPCCSSPPCSSCCPSSSSSSCCSCPSCCCCCSCCPCSCSCCSPPSCCCSSCCPCCCSPPPPSPCPSPPSPCSCP......................................
.....................................................CSPSPPPCPSSPSCSCCSPPPSSSPPCSCSCCPSPSPCSPCPSSPPCPCPSPSSPCPCPPPPSPCSSSCSSSPSPCSCSPCPPCSCSSCPPCSPP....................................................
..........................................................................................PPSPSSPSCSPSPPSCSSSCP.........................................................................................
.....................................................PSPPSPPSPPSCSSSCCPCSSSCPSCCSPCSCCPPCCSCPPSPPCSCPCSPCPPPPSPCPSCPSPSSPPPPSCPCPPPCCPPCPCSCCSCPCCPS....................................................
................................................................................................CPSPCSSSC...............................................................................................
............SCSSSSPCPCCSPSPSPPSSSSSPSSPPSCPCCSSSCPSSSCCCSCSCCSSCCSSSCSPSPSSPPSSSSPPSCPPPSCCCSSSCSCCCPPCSCPCSPCCPSCSSPCSPPCCSCCSPSCPSSPPPSCSPPCCCSPPCSCPPPPSCSSPCSSSSPPCPPSPPSSCPSSSPSSSSCCPCS...........
..PPPPCCCPPSSCSPSCSSCPSSPCCPSPPPSPSPCSPCSPPPPPSPPPSSPCSSCSPCCCCPSPSSCCCCSSCSCPSSCPCCCPSPCSPCPSPPPSPCPCCCSPSPSCCSSSPCPSSPPCCPCCPPPCPSPSPPSPCSCSSPSCPPPSSPSPCCSCPPCCSSCPSPPPCPPSSCCCSCPCPSPPPSCCCPCPPSSPS.
............................................................................................PSPCPSPCCSSPPPCSP...........................................................................................
............................................................SSPSSPCCCSSSPCSPCSSSCCCPPCCPSSPPSSSCCPCCCPCCPPSPCSSSCCSPPSCPPSCPCSCCCCCSPPCPPPPCS...........................................................
...CCCPCSCSCCPCSCCPSPSSPSSCSSCPCPSSSSCCPSCCCCCSCCPCCPSCSPPCCSPPCSPSSCSCPSSSCSCSSCCPCCSCCCPPCCCSSPCSCPCPSSPSCPCSPCPPSPPPCPCPCCPPPCSSPCCSPCSSCPSSCCSPSPCSCPSPCCSCCCCCSSCSSSCPPPPPPSSCPSSPPSPPCPSCSSCSSSS..
............................................................SCSSSCCCPPCCPSPCPPPSCSCCCCPSSPSPPCPSSSCSPSPCPCSSSCSPSPSPSCCCCSCCPCSCCCPCSPCCPSSPC...........................................................
........................................CSCCCCPSSSPPPSPPPCCSPCSPCPPPSSSPSSPSSCSPPPSCCCPSPCCCCCSSSCPCPCSSPSSCPCCCSCSCSCCCCPSSSSPCCPPCCPCPSPSPSSPCSPSSCPPCCCSPPCPCS.......................................
.............................................................SSSCPPPSSSPCSCPPSPSPPCSCSCCSCCSPSCSSPCSCPSCPPSPSCSPSPSSSCSSPCCSSSSSPSCCPPCSPCCP............................................................
.............................................................................................CCPPCSPCPSCCCSS............................................................................................
....................................................SCSCCSSCPPPSCSPSCCCPSCSPSSPCPPCCPSCPSPCSPPCCCPSSSCSCPPCPCCCSSCCPPCSPCPPPPPCPCCCCPPPPCCCPPPSSPCSSS...................................................
.....PPCPPPCCSPSSCCPCCCPCPSCSCPPSSSPCSCPCCCPCSCPSCSPCSCPPPCCSPPCSCCSSSSCSSSPCCCPCSCSCCCCCSPPCSSSCPPSCCPCSCSPCCCPSPPCCSPCPPSSSCCSSCPSCPSSPSSCPPSSPPCPCSSCSSSPCCPPSPSPCPSCCSSPSCSPPPCPPCCPPSSPSPCSCCPP....
................................................PPSSSSPPPSPPPSCPSCCPPCSSPPPPSSSPSSCCPPPCPPCPPCSPSSCSPPPSCCPCPPCCPSSSPCSPCSPCSSSPCPSCSPPSCSCSSSSPCPSSCSSCC...............................................
..................................................................PCSCCSCSCCPPSPCPCSPPPPSSCCSCSSSPCPCSCCPPCPCPCCCCSPSSPSPSSCSSPSPPSPPSP.................................................................
.......................................................................SSPCCSPSSPCSSPPSPCCCPCSSSCSSCPPCSPPCPPSSSPCPCCCSSSSPCSPPCSC......................................................................
.......................................................CPPSPCCSSCCPSSCPSCPPPPCCCPSPPSPSCPCSCCPPSPSPCCSSPCPSSSCCCCSCSPCSSSSSPSSPPCPPSPSPPPPPSPCSCCC......................................................
.........................................................................SSPCPPSCCPSSCCSPPCSSPSPSPCCSCCSSSSCCCSPSPPPCCCCSCSSSSSP........................................................................
.....................................................................PCSPPSSPSCCPCCPPPCCSPSPCSSCPCSPCSSSPPSCSSCPPPSSPSCCPSPCCSPCCCPS....................................................................
.............................................................................................PSPSSCCCCCPSCCS............................................................................................
............PSCPSPSPSCSPSSCPPSCPPCCCSCSSSSCCSSCSSSCCCCPPPPCSPPCCSCPCPSCSCSCSCSPSCCPCCCSSCPCPPCCSCPCPSPPPCCCCPPPPSPSPSSPSCSCPSSSSPSCPCCCSSPSPPSSPSCPCPSPPCCCCPSCSCSCPCSCCSSPSPSCPPPPPPPSSSCCCP...........
..............................................................PPPSCSPSCCSSCSPSPCSCCCCPPCSSCSPPSPPPPSCPCPCPPPCPSCSCSCCPPCCSSCPSPCSCSCCCCCSSP.............................................................
..............SCSCPCSSSSSPSCSCCPCCCSPSCCPPPSPPSSPSPCSCCCCPSSPPPPSSCPSCCCSCCPPSPSCCCCPPSPCCPPSPCCCPSCSPSPPPCCPSPCCSSPPCSCPSSPCSPPSPCSSCCPSPCCCPCPCCCCCPSSCCPPPPSCSSSSSCSCSCCSCCCPPCCSPSCCPSC.............
..................PCSCSPCPPCPCSSPPCCSSCPSPCSSSCPCSPPPSCPSSPSPCSSCSPCCSCPCPCCCCPCPPPSCCCSPPSPSPSSSSCCSSSSSSSCPCCCCSSPPCSSSSPCPCCSCPPSSPCPCCSSCCCCPCSSPCCSPPPPPPCCSSSSPCPSCCCCSPCPSPCSSCC.................
......................................CCSPPSPCPSPSSSPSPPPPPCCPCSCCPCSCCSPSCCCSPCPCCSSSSPSPCPCPCPSPCSSPCPCCSSSSPPPPPSCSSCCCCSSSCPSCSCCPSPSPSPPPCCSSPCPPSCPSPPPCCCPPP.....................................
..........................................................................SPSCCSCSPPPPPPSSPSSPSCSCCCSCCSCCPSSPSPPCPSSSSPPPPSCSP.........................................................................
.......................................................SSPCCPSCPPPCCPSPSSCSCSPSCPSSPCCCCSCPSPSPSSSCPPSPCPSSSCPCPSSPPCPCCSPPSSSPCPCSCSSPCPSPPSCSSPP......................................................
SSCSPCCSPSPCPCPSCSPPPPCSPSCPPPCPSSPCSPPSPSSPCCPSSSPSPCCCSCCSPCSPPSSCCCSSCCSSSCCSCCPSPPSSSCPCPSCSSCPPCSCSSSPPSCPPCCPSSSSSPPCSSPCPPSCCSSCSPCCSSPPPSPSSSCSSSCSCPSSSSSPSPCSCPSPPPPSPSPCSSCCCCCSCCPPCSPPPSSCC
S......................................PCPPCSCPCPPPSCPCCCCPCSPCPCCSPCPSCCCSCSCCCCSCPCSCPCCSCSSPCPSPCCPCCSCCPCCPPSPPPPSPCSSCSCPSSSCPSSSCCPCSPSCSCPPCPPPCPSPSSPSPSPC......................................
................................................................................SPPSSSPCSCCSPCPPSSPCSPSPPCPCCPCCPPCPCCCSP...............................................................................
..............................................PSSCPSCSPPSSPCPSSCSCSSSSCCCCPCSPPCSPSSPPCCCCCCCSSCPPPPCCSSCSCSPCCPPPPCCSSCPPCSSSPCCCCPCPCSCSSSSCSCSSCPPCPSPPS.............................................
...................SPSCCSCPPPSPPSSPSSPCCPPSCPCCCSCCPSCSCSCCPCSCCCSSSPCSCCCCPSPPPPPSCSSSSCSCPCSSSPSPPSCCPSPPCPCCCSPSSSPPSCPPSPCSSSPPCPSPSCCPSPSPPPPPCCCPCSCPPSCCPSCPSCCSPSPSPSSSCPSCSSP..................
.....SSCPSPCSCSCPSCPCCPCSSCCCSCPCCSCCPPPPSPPPSPPSPPSCCSPCPCCCCPPSSPSPSCCPPPSSPPSSSCCCCSSSCCPPSCPCCPPPSPPCCSPPSSCSPSSSSCPPCSCSPSCPCCCCCCPCSPCCSCCCSPPCCPSSSSSSCCSSPPCSSPPCCCSPSSPCPPSCCPPSPCPPSPPPPSS....
...........................................SCSCPPPSCCCPSCCCPCCCSCPSSCPSPPPPCSSPPPPCCPCCCCSCPPCCSSSPCSCCPCSSCSSPCPSPCPCPCSPSSCSCSSPSSSSPSSPPSPSPCSSSSCCSPPSPSPS..........................................
................................................................................................CCPSPPSCP...............................................................................................
...................................................PPPCPPSCPSSCSCPCCPCPPPSCSSSCCCPPSPCSPPSSCCSCPCPSPPPPPSCCCPSSPSPPPCPSPSSPPPPPCCCSCSPCCPCCSCCSSSPPCSC..................................................
.................................................................................................PSPPSPS................................................................................................
.................................................................................PPPSPCSCPSPSSPPCPSSPCCCSPCCSPSPCCPCSSPS................................................................................
...............................................PPSPCSPPPCSCPCCCPCCSSSSSCCPCCSSSPSPCCCSPPPPCSCSCPSPCPPPPSCCSPPSCPSPCSPSCSCPSSSCSSCCSSCSPCCCSPPPPCSSPCSPSCPS..............................................
..................PPSPCPCSCPCPPSPSSSPPCSPSPPSSPSCSPPCSSCSSSSPSCSPPSPCCPPPSPPCPCSCPCPSPCSSSSPCSSSPCSPCPSSCSSSPSSSPPCSPSPSPSCSCPPCSCCPCSSPSSCCPCSSCCPSPCPSPSPCSSCSPSSSSSPSCCPSSCPSSCCSCCC.................
.....................................CCSSPCPCPPPPSPPCCCPCPCSCSPSPPCPCPPSPPSCCCPPCSSSCSSSCCCSPCPPCSPPSCPCCSCPCCSSPSSPPCSCCSCPSPPCPPPCSCPPSCPCSSSCSCPPSCPCPSSSCCCPPSPC....................................
.........................................................................................PCPPPCCSPSPCCSSPPSSPSCC........................................................................................
............................................................................................CSSCPPSCSPPPPPCPC...........................................................................................
........................SSPPCCCPSPCSSPPSCCSPSCPCCSPSCCPCSCPCPPPCSPPSCSSCPPCPCCCSSCPCPPCCSCSCPCSSPSCCPPPPSSPSPSSCSSPSCSSPPCPPCPCCPPCSSPCCPSPCPSCCPCSPSSSCSPPPCCCPCSPSPSPSSPCSPSSPS.......................
..................................SCSSCCCCSSSPPPSPSSPSSCSCPSCPPSPPCCCPPSSPPPCSPSCCSCCCPPCSPCCCCPCPPSCPSPSPSCSCPSCCCPCCPSPPPCCPPSPCPSSSCPCPCSPSSSSPPCPCCSSSCCSCCCPPPPSPP.................................
......................................................................PPSCCPPSPSCSPSPSSSPPSSCPCSSCCPSCSPSSPCCSPSSPPPPPCPCPCPCPPPCCC.....................................................................
..........................................CCCPPPCSCPSSPCCSPSSCCSCPCSSSCCPSSPPSCPSCSSPPCPPSPCCSCCCCSPCCSCSPCCSCPSPSPCCCSSPSCPPSPCPCSPCSCPSCCCPCPCSPCSSPPCCSCCSPS.........................................
...SSPPPPCSCSPCPSCPPCPPPPPPCSPCPPCPCCCCSSSSSPPCCPSPCCCCSPSCCSCPCPPCPPPSCPSPPPCCPCCCSPSPPCCPPCSPCSSCPPCPCCCCPSCPCSPCCPPCPCPPSPSCPPCSPCSSSCPCCPSCCCSSSSSPCPSCPPPPPSCCSPSCSPCSCPCSSCPSCCCCPPSCCSPSSPPPCSP..
..............................................CPCPSPCSSSPPPPCSCSCCPSCCPSPCPPPCPCPCPPPPCSCSCCSCPPCCSPSPPCPSPSCCCCSPPSPSSPCSPSPCSPPSPPCCSCSCCSSPCCPPSSPSSCSCS.............................................
.......................................PCPCSCSCCSSPSPCSPCSPCSSCCSCPCCSPPCSCCCPPPCSPSCPPCCPPCCPCSPCPSCSPPCCSCCSPPPPPSCSPPSSSCPSSPCSSCCPPSPCCCSPSSSSCPSSPPCPSPCPCSSS......................................
SSCCCCSPCSSPSPSSSSSCPSSCSCCPCSPPCCCCPSCCCSPCCSPPPPPCCSSPSCCCCPPPCSPCSPCCCSPPSPSSSCPCPCPPPSSPSPPSSCCCCPPCSCPSSSSPSSCPSPCPPSSSSPCPSSSCSCCCPPSCPSSCSSCSPSCPPSCPCCSPPPCPCSCSSSPPPSSSCCPPPPCCSSPPCSPPPPSSSSPP
P..................................................SPPSPCCSCPCPCCSSCSCCSCSSCSSPCCSPPSSPCPPPSPCPPCSPSPPSPPCCCPPSSCSSCCSSPSCSPSPSPSCCSSSSPPCPCCPCCCCPCSP..................................................
........................SCSPPPPSPPPCCCCSSSPPCPPSSSPSSSSCSSCSSPCSCSPPSCSPSPSSSPCCCSCPCSCPCPSSPPCCPSCPCSPPPCSPPPCPCCPPCCCCSPCSCCSCCPSSPPPPSPSCPPSPCPCSCPPCSPCPSCCSPCCCCCPSPPCCSSPPP.......................
...........................................................................................PPPPCCSPSSSSCSPSSCC..........................................................................................
.....................................................................SSSPPPPCCPPPPCCSSCCSCCPPSSPPSCCSSPPCSSPCSSSSPSCCCSCSSPSPSSSPSPP....................................................................
..........................................................SCCCCCSCPCCSPSCSSSSSSPSCPPCSSSPSCSPSPCSSCCSCCPCCCCPPPSCPPPSPCSCSCPSSSSSPCCCCCPCCSPSSP.........................................................
..........................................................SCPCCCSPSCCSPCCCCSSCPPSCPSPCSSPPPSCCPCCPSPSCCSCPCSSPSCPSSSPPPCCSCPPPPCCCSPSSPCPCPCCCS.........................................................
...............................................................................................SCPPSSSSSCS..............................................................................................
...........................SCCSCCCSCPCSPPCPSPSSPCSPPSPCPCSSCPSSSPPCPPPSPSPCSSCCPPSCCSSCPCPPSSPCPSSSCSSSPPCCPSPSPCCSCPCPSCPSCPSSCSPPCCSCSCPPCSSSPSCSSSPSSPPCPPSCSCSPCSSCPPPSCPC..........................
................................PCPSPSCCCPSSCCPCCSCPCSSPSPCCPSPSSSCPPPCPPSCCPSSSCCSCPSPPCSPSCCCSCSSCPSPSCPPSSPSPSSSSCCPSPPPCPPCSSSCSCSPSSCSCSSSSCSSCSSCCPPSPCSCPPPPSPSCSS...............................
.............................................................................................SCCPPPSSPCCSPSP............................................................................................
...............................................PPSPPSSSSPSPPSSPSPSPPSSSPSSCPCSPPCCCSSPPSCCSCCPCCSSSPPCPSSSPPCPPSPCCSPSPSCCSSCPCCCCSSSSCSPPPSSCSSSPPSCCSCSP..............................................
.........................................................CCSCPPSCCSPCCSPSPCCSPSPCPCSCPPCSSSSCSPPSSCCCPCSPSSPSSCSCCPCPPCPPSPCPCPPCSSSSPCSSPCPSCPS........................................................
.....................................................SPPCPCPCPCSSSPCPCCCSSCPCCPCPSCSCSSPCPPPCPSSPPSPPCPSPCPCCSSCCPCPPSSCPCPPSSPPSCCCSSSCPCSPPCPPCPSP....................................................
.........................................................................CPPCPPSPCSCPPCPCCSPPPCSSPCSCSSSSSCSSCPSCCCCCSPSCSSPCSCC........................................................................
.................................................................PSPSSSPCSCPSCCCCSPPSCPSPCPSCSPCSCCCSPCCPPPSSCSSCSCCPPCSSCCPSPCSCCSSCCPS................................................................
........................................SPSPCCPPSPPSPCPPSSCCCCCPSCPSPSCCCCSSCSPCSCPCCSPCCSCCSSCCPPCSCCCCCPPCPPCCCCPPSCCPPCPSSPCCCSPSPPPSSSSPPPCSPPPSSSPPCPPSPSCSC.......................................
..........................................SCSPCCCCPSCPSSPSCPPSCCCPCPCPCCCCPCPSSPSPCSCSSPSSCCSCPCCPSPSSPPPCCPPCCSPSCSPCSPPPSPCSSSCCCCPPSPCSCSCPPSSCCCCCPCCCCSSPS.........................................
...................................................................CSSPPCSSPCPCCPPPCSSCSPSSPSCCCCSPCPCCPSPCSSSPCSPCSCCCCSPCCSCSCCPCCCS..................................................................
........................PPCSPCPPCCCCCPCSSSPPPPCPPPCPCCPSSCCCSPPPSCPSSSCPCPPSPSCCCSCSPPPPPCPPSPCPCPCCPSCSCCSPCPSSPCPCSSSSPCSSCSSSPCCSCCPPPCPPSPCSPSPCSPPPCCCPCPPSSSCPSCCSCCCSSCCCS.......................
............................................................................CSPCCCPSCCCPCPPSSSPCCPSPPCPSSPCSCCPPPPCSCCCCCSPCP...........................................................................
.......................................................................CPPPSSSSCSCCCSPPPCPPCPPCCCPCCCPSPSPPPCSPSPCSSSCCCSPPCCSCCCP......................................................................
.............................................................PCPCPPSSCPCSPCCSSSCSSCPSSPSSPSCPSCSCCSSSCCPCPSPCPSSPPPSCCCSCCSSPPPCPCPSPCCPCSPP............................................................
..........................................CCCPCCCPSPPPPSPSCCCSSCPCPPCPSCSSCCPPPSPCSCCCPPPPPCSCPSCPCPCCSCCCCCSCSCCCPCPPPPCPCPCCSSSCPPCSSSCSPPCSPPPCCCSCSSCPSSPPS.........................................
..................................................................................................SSPPP.................................................................................................
..........................................................................................SPPSCCCCSCCSSCPCPSPSC.........................................................................................
......................................................................................SCCCSCSCPCPPPSSSSSPPSSCSCPCSS.....................................................................................
.......................................CPCSPCPPPCPPCCPSSCCPCPPSPCPSPSSSSPSCCSCCSSCCSSPPCPCPPPCSSCSSCCCSPCSPCSSCSSSCPPSSCSSSCPPCPCPPPSPSSSSPCPPPSSCCPSPCSCCCPCSSCSP......................................
...............CSSCPPPPSCPSPPCCSSPPPCPCPPPPSSSPPSSSSSPPPPPCSSPSPSPCCSSPCSPPSSSPPSSCSSSPCSCPCPSPCSCCSCSSSSCCSCPSSPSPPPCSSSPCSPCCSPPSCPCSSPPSPSPCSCCCPSSSSPSCPSPPCPPPSPCCPCCPCCSCPPSPCPCCSCS..............
